﻿



Public Class SpezialImageControl
    Inherits Control

    Shared Sub New()
        'Mit dem OverrideMetadata-Aufruf wird dem System mitgeteilt, dass das Element einen Stil bereitstellen möchte, der sich von seiner Basisklasse unterscheidet.
        'Dieser Stil ist unter "themes\generic.xaml" definiert.
        DefaultStyleKeyProperty.OverrideMetadata(GetType(SpezialImageControl), new FrameworkPropertyMetadata(GetType(SpezialImageControl)))
    End Sub



    Public Property Image As String
        Get
            Return CType(GetValue(ImageProperty), String)
        End Get

        Set(ByVal value As String)
            SetValue(ImageProperty, value)
        End Set
    End Property

    Public Shared ReadOnly ImageProperty As DependencyProperty =
                           DependencyProperty.Register("Image",
                           GetType(String), GetType(SpezialImageControl),
                           New PropertyMetadata(Nothing))



    Public Property NotificationCount As Integer
        Get
            Return CInt(GetValue(NotificationCountProperty))
        End Get

        Set(ByVal value As Integer)
            SetValue(NotificationCountProperty, value)
        End Set
    End Property

    Public Shared ReadOnly NotificationCountProperty As DependencyProperty =
                           DependencyProperty.Register("NotificationCount",
                           GetType(Integer), GetType(SpezialImageControl),
                           New PropertyMetadata(0))


End Class
